### Signal

# WebKit2 WebView::insecure-content-detected

#### Declaration

    void
    insecure_content_detected (
      WebKitWebView* self,
      WebKitInsecureContentEvent event,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when insecure content has been detected in a page loaded through a secure connection. This typically means that a external resource from an unstrusted source has been run or displayed, resulting in a mix of HTTPS and non-HTTPS content.

You can check the `event` parameter to know exactly which kind of event has been detected (see `WebKitInsecureContentEvent`).

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`event` | `WebKitInsecureContentEvent`
| The `WebKitInsecureContentEvent`.